Webhooks

Rotate the endpoint signing secret

POST
/v1/webhooks/{id}/rotate-secret

Authorization

selectkey<token>

API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).

In: header

Path Parameters

id*string

Public identifier (wbe_/wbh_…)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhooks/string/rotate-secret"
{
  "id": "wbe_0a1b2c3d4e5f60718293",
  "name": "Acme Ltda",
  "endpoint": "string",
  "enabled": true,
  "events": [
    "string"
  ],
  "forceActive": true,
  "shotsQty": 0,
  "failedShotsQty": 0,
  "lastDeliveryAt": "string",
  "metadata": {},
  "createdAt": "string",
  "updatedAt": "string",
  "merchant": {
    "name": "Acme Ltda",
    "merchantId": "string",
    "isSubAccount": true
  },
  "_links": {},
  "secret": "string"
}
{
  "error": {
    "status": "Unauthorized",
    "statusCode": 401,
    "category": "authentication",
    "code": "unauthorized",
    "message": "Authentication is required to access this resource.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Forbidden",
    "statusCode": 403,
    "category": "authorization",
    "code": "forbidden",
    "message": "You do not have permission to perform this action.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "notFound",
    "message": "An unexpected error occurred.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "serverError",
    "message": "An unexpected error occurred. Please try again later.",
    "resource": "server",
    "details": "If the problem persists, contact support with the correlationId from the response headers."
  }
}